Subject: Re: ab/test-without-templates

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Jun 2022 15:12:06 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Wed, Jun 22 2022, Junio C Hamano wrote:
>
>> * ab/test-without-templates (2022-06-06) 7 commits
>>  - tests: don't assume a .git/info for .git/info/sparse-checkout
>>  - tests: don't assume a .git/info for .git/info/exclude
>>  - tests: don't assume a .git/info for .git/info/refs
>>  - tests: don't assume a .git/info for .git/info/attributes
>>  - tests: don't assume a .git/info for .git/info/grafts
>>  - tests: don't depend on template-created .git/branches
>>  - t0008: don't rely on default ".git/info/exclude"
>>
>>  Tweak tests so that they still work when the "git init" template
>>  did not create .git/info directory.
>>
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> Presumably the submitters vote doesn't count for much, but FWIW I think
> it's ready & that there's nothing outstanding left to address.

I do not think they make any particular test to break, but I do not
think it is a good idea overall to give a false impression to the
users that it is OK to use incomplete templates that lack things
expected by Git in properly initialized repositories.  And these
patches definitely take things in that wrong direction.